## golang-github-labstack-echo.v3 3.2.6

=== Makefile ===
dependency:
	go get -u github.com/golang/dep/cmd/dep
	dep ensure

test:
	echo "" > coverage.txt
	for d in $(shell go list ./... | grep -v vendor); do \
		go test -race -coverprofile=profile.out -covermode=atomic $$d || exit 1; \
		[ -f profile.out ] && cat profile.out >> coverage.txt && rm profile.out; \
	done

=== debian/changelog ===
golang-github-labstack-echo.v3 (3.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 26 Apr 2018 11:30:58 +0900

golang-github-labstack-echo.v3 (3.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #891686)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 27 Nov 2017 17:08:02 +0900

## golang-github-labstack-echo.v3 3.3.5

=== Makefile ===
DEP_VERSION=0.4.1

dependency:
	curl -fsSL -o ${GOPATH}/bin/dep https://github.com/golang/dep/releases/download/v${DEP_VERSION}/dep-linux-amd64
	chmod +x ${GOPATH}/bin/dep
	dep ensure

test:
	echo "" > coverage.txt
	for d in $(shell go list ./... | grep -v vendor); do \
		go test -race -coverprofile=profile.out -covermode=atomic $$d || exit 1; \
		[ -f profile.out ] && cat profile.out >> coverage.txt && rm profile.out; \
	done

tag:
	@git tag `grep -P '^\tversion = ' echo.go|cut -f2 -d'"'`
	@git tag|grep -v ^v

=== debian/changelog ===
golang-github-labstack-echo.v3 (3.3.5-2) unstable; urgency=medium

  * Team upload.
  * Remove dgrijalva/jwt-go v3 patch.
    Replace golang-github-dgrijalva-jwt-go-v3-dev with
    golang-github-dgrijalva-jwt-go-dev
  * Update maintainer address to team+pkg-go@tracker.debian.org

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 22 Apr 2020 02:25:17 +0800

golang-github-labstack-echo.v3 (3.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Update d/patches/change-path-of-echo.patch.
  * Update d/patches/change-path-of-jwt-go.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 26 Nov 2018 16:36:29 +0900

=== debian/control ===
Source: golang-github-labstack-echo.v3
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
               golang-github-labstack-gommon-dev,
               golang-github-stretchr-testify-dev,
               golang-github-valyala-fasttemplate-dev,
               golang-golang-x-crypto-dev,
               golang-gopkg-tylerb-graceful.v1-dev,
               golang-github-valyala-fasthttp-dev
Standards-Version: 4.1.1
Homepage: https://github.com/labstack/echo
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-labstack-echo.v3.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-labstack-echo.v3
XS-Go-Import-Path: github.com/labstack/echo.v3
Testsuite: autopkgtest-pkg-go

Package: golang-github-labstack-echo.v3-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
         golang-github-labstack-gommon-dev,
         golang-github-stretchr-testify-dev,
         golang-github-valyala-fasttemplate-dev,
         golang-golang-x-crypto-dev,
         golang-gopkg-tylerb-graceful.v1-dev,
         golang-github-valyala-fasthttp-dev
Description: Echo is a fast and unfancy HTTP server framework for Golang
 Echo is a minimalist Go web framework that provides the following functions:
  - Optimized HTTP router which smartly prioritize routes
  - Build robust and scalable RESTful APIs
  - Group APIs
  - Extensible middleware framework
  - Define middleware at root, group or route level
  - Data binding for JSON, XML and form payload
  - Handy functions to send variety of HTTP responses
  - Centralized HTTP error handling
  - Template rendering with any template engine
  - Define your format for the logger
  - Highly customizable
  - Automatic TLS via Let’s Encrypt
  - HTTP/2 support

## golang-github-labstack-echo.v3 3.3.10

=== debian/changelog ===
golang-github-labstack-echo.v3 (3.3.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nobuhiro Iwamatsu ]
  * New upstream release.
  * Update d/patches/change-path-of-echo.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 04 Dec 2020 08:54:44 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-dgrijalva-jwt-go-dev (>= 3.0~),

=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))

%:
	dh $@ --buildsystem=golang --with=golang


override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/$(DEB_SOURCE_PACKAGE)-dev/usr/bin
